### Function

# GLib Hook destroy

#### Declaration

    gboolean
    g_hook_destroy (
      GHookList* hook_list,
      gulong hook_id
    )

#### Description

Destroys a `GHook`, given its ID.

#### Parameters

`hook_list`

  Type: `GHookList`

  A `GHookList`.

  The data is owned by the caller of the function.

`hook_id`

  Type: `gulong`

  A hook ID.

#### Return value

Type: `gboolean`

`TRUE` if the `GHook` was found in the `GHookList` and destroyed.